package main

import (
	"go/types"
	"io"
)

func main() {
	var inter interface{}
	inter = io.EOF
	inter = nil
	inter = "aaa"
	//inter = true
	switch x := inter.(type) {
	case types.Nil:
		println("nil")
	case int:
		println("int")
	case string:
		println("string")
	case error:
		println(x.Error())
	case bool:
		if x {
			println("true")
		} else {
			println("false")
		}
	default:
		println("default")
	}

}
